/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : main.h
* @author    : FMD AE
* @brief     : Header for main.c module
* @version   : V1.0.0
* @data      : 2021-09-14
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

#ifndef __MAIN_H
#define __MAIN_H

/* Includes ---------------------------------------------------------------------*/
#include "ft32f0xx.h"
#include "bsp_usb.h"
#include "ft32f072x8_it.h"
#include "usb_core.h"
#include "bsp_systick.h"
#include "bsp_keycode.h"
/* Public Constant prototypes----------------------------------------------------*/

/* Public typedef ---------------------------------------------------------------*/
/* Public define ----------------------------------------------------------------*/
#define USB_DEBUG 0

#define ApplicationAddress    ((uint32_t)0x08003000)   //APPʼַ
#define IaplicationAddress    ((uint32_t)0x08000000)   //IAPʼַ
#define ApplicaflagAddress    ((uint32_t)0x08002E00)   //APPʼ־

/* Public variables prototypes --------------------------------------------------*/
extern uint32_t test_usb;
extern uint8_t USB_Receive_Buffer[];
extern CLASS_HID_DATA   c_hid_data;

/* Public function prototypes----------------------------------------------------*/
void Test_IO_Config(void);

#endif /* __MAIN_H */

/************************** (C) COPYRIGHT FMD **********************END OF FILE****/
