/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : cmsis_os2.h
* @author    : FMD AE
* @brief     : Header for cmsis_os2.c module
* @version   : V1.0.0
* @data      : 2021-09-14
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

#ifndef _CMSIS_OS2_H_
#define _CMSIS_OS2_H_



typedef int osThreadId_t;

osThreadId_t osThreadNew(void (*)(void *), void *, void *);
void osKernelInitialize(void);

#define osDelay(n)
#define osKernelGetState()  0
#define osKernelReady       1
#define osKernelStart()

#define osFlagsWaitAny      0
#define osWaitForever       0


void osThreadFlagsSet(int, int);

#endif
