/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : bsp_adc.h
* @author    : FMD AE
* @brief     : Header for bsp_adc.c module
* @version   : V1.1.0
* @data      : 2022-05-30
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __BSP_ADC_H
#define __BSP_ADC_H

/* Includes ------------------------------------------------------------------*/
#include "ft32f0xx.h"

/* Public Constant prototypes----------------------------------------------------*/
/* Public typedef ---------------------------------------------------------------*/
/* Public define ----------------------------------------------------------------*/
/* Public variables prototypes --------------------------------------------------*/ 
/* Public function prototypes----------------------------------------------------*/ 
void ADC_Config(void);
void ADC_DMA_Config(void);
void DelayNus(uint32_t time);
void DelayNms(uint32_t time);

#endif /* __BSP_ADC_H */

/************************ (C) COPYRIGHT Fremont Micro Devices *****END OF FILE****/
