/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : tim_dma_pulse_cnt.h
* @author    : FMD AE
* @brief     : Header for tim_dma_pulse_cnt.c module
* @version   : V1.0.0
* @data      : 2021-09-14
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

#ifndef __DRIVER_TIM_DMA_PULSE_CNT_H
#define __DRIVER_TIM_DMA_PULSE_CNT_H

/* Includes ---------------------------------------------------------------------*/

#include "FT32f0xx.h"
#include <stdint.h>

/* Public Constant prototypes----------------------------------------------------*/

/* Public typedef ---------------------------------------------------------------*/

/* Public define ----------------------------------------------------------------*/

/* Public variables prototypes --------------------------------------------------*/

/* Public function prototypes----------------------------------------------------*/

void TIM1_CH1_Config(void);
void DMA_Config(uint8_t *buf, uint16_t len);

#endif /* __DRIVER_LED_H */

/************************* (C) COPYRIGHT FMD *****END OF FILE*********************/
