/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : bsp_keycode.h
* @author    : FMD AE
* @brief     : Header for bsp_keycode.c module
* @version   : V1.0.0
* @data      : 2021-09-14
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

#ifndef __BSP_KEYCODE_H__
#define __BSP_KEYCODE_H__
/* Includes ---------------------------------------------------------------------*/
#include "ft32f0xx.h"

/* Public Constant prototypes----------------------------------------------------*/

/* Public typedef ---------------------------------------------------------------*/


/* Public define ----------------------------------------------------------------*/
#define KEY_SIZE    104
/* Public variables prototypes --------------------------------------------------*/
extern const uint8_t kb_code_tab[][2];
extern const uint8_t mouse_code_tab[][2];

extern const uint8_t kb_size;
extern const uint8_t ms_size;
/* Public function prototypes----------------------------------------------------*/
#endif
/************************* (C) COPYRIGHT FMD *****END OF FILE*********************/
