/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : bsp_systick.h
* @author    : FMD AE
* @brief     : Header for bsp_systick.c module
* @version   : V1.0.0
* @data      : 2021-09-14
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

#ifndef __BSP_SYSTICK__
#define __BSP_SYSTICK__
/* Includes ---------------------------------------------------------------------*/
#include "ft32f0xx.h"
/* Public Constant prototypes----------------------------------------------------*/

/* Public typedef ---------------------------------------------------------------*/
/* Public define ----------------------------------------------------------------*/
/* Public variables prototypes --------------------------------------------------*/
/* Public function prototypes----------------------------------------------------*/
void Systick_Init(void);
void TimingDelay_Decrement(void);
void SysTick_Delay_Ms(__IO uint32_t nTime);

void Delay_Nms(__IO uint32_t nTime);
void Delay_Nus(__IO uint32_t nTime);

#endif
/************************* (C) COPYRIGHT FMD *****END OF FILE*********************/

