/**
  *********************************************************************************
  * @file    	    device.h
  * @author  	    FMD AE
  * @brief   			Header for device.c file. 
  * @version 	    V1.0.0           
  * @data		    2021-09-27
  *********************************************************************************
  * @attention
  * COPYRIGHT (C) 2021 Fremont Micro Devices Corporation All rights reserved.
  *    This software is provided by the copyright holders and contributors,and the
  *software is believed to be accurate and reliable. However, Fremont Micro Devices
  * Corporation assumes no responsibility for the consequences of use of such
  *software or for any infringement of patents of other rights of third parties,
  *which may result from its use. No license is granted by implication or otherwise
  *under any patent rights of Fremont Micro Devices Corporation.
  *  ******************************************************************************
  */
	
#ifndef _DEVICE_H_
#define _DEVICE_H_


#include "main.h"

#include "ft32f072x8.h"

#include "ft32f072x8_it.h"

void DEVICE_Init(void);


/* Private defines -----------------------------------------------------------*/
#define LED_CONNECTED_Pin   GPIO_Pin_3 
#define LED_GPIO_Port       GPIOA

#endif
